package com.zipcodewilmington.phonebook;

import java.util.ArrayList;
import java.util.Collection;
import java.util.TreeMap;

/**
 * Created by leon on 1/23/18.
 */
public class PhoneBook {

    private TreeMap<String, ArrayList> listings = new TreeMap<>();;

    PhoneBook(){}

    public String getListings(){

        StringBuilder result = new StringBuilder();
        for (String key : listings.keySet()){
            result.append(key);
            result.append(" : ");
            ArrayList<String> numList = listings.get(key);
            for (String num : numList){
                result.append(num);
                result.append("\n");
            }
        }

        return result.toString();
    }

    public boolean hasEntry(String name) {
        return listings.containsKey(name);
    }

    public void add(String name, ArrayList<String> numbers) {
    listings.put(name,numbers);
    }

    public String lookUp(String name) {

        ArrayList<String> numbers = listings.get(name);
        String numList = "";
        for (int i=0; i<numbers.size(); i++){
            if (i>0){ numList += ", ";}
            numList += numbers.get(i);
        }
        return numList;
    }

    public void remove(String name) {
        listings.remove(name);
    }

    public String reverse(String number) {
        String result = "Entry not found";
        for (String key : listings.keySet()){
            ArrayList<String> numList = listings.get(key);
            for (String listItem : numList) {
                if(listItem.equals(number)){
                    result = key;
                }
            }
        }
        return result;
    }
}
